Bug 171576 - X server crashes and restarts, while resuming after S3 suspend, on a Sony VAIO with Intel 855GM
X server crashes and restarts, while resuming after S3 suspend, on a Sony VAI...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-23 11:41 EDT by David
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 13:22:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (53.35 KB, text/plain)
2005-10-23 11:44 EDT, David
no flags Details
Xorg.0.log.old (53.56 KB, text/plain)
2005-10-23 11:45 EDT, David
no flags Details
xorg.conf (3.60 KB, text/plain)
2005-10-23 11:45 EDT, David
no flags Details
suspend script (strange name is sleep in Portuguese :P) (1.58 KB, text/plain)
2005-11-21 15:20 EST, David
no flags Details

  None (edit)
Description David 2005-10-23 11:41:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pt-PT; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
When I try S3 suspend and then power on to resume, X is restarted and I get the following error on /var/log/Xorg.log.0.old

(WW) I810(0): Successfully set original devices (2)
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(II) I810(0): Detected resume, re-POSTing.
(WW) I810(0): Bad V_BIOS checksum
(II) I810(0): Primary V_BIOS segment is: 0xc000
(EE) I810(0): vm86() syscall generated signal 11.
(II) I810(0): EAX=0x00005f31, EBX=0x00000001, ECX=0x00000002, EDX=0x000003b4
(II) I810(0): ESP=0x00000fc4, EBP=0x00000fc8, ESI=0x00002a6c, EDI=0x00000080
(II) I810(0): CS=0xf000, SS=0x0100, DS=0x0040, ES=0xc000, FS=0x0000, GS=0x0000
(II) I810(0): EIP=0x00002b4b, EFLAGS=0x00033246
(II) I810(0): code at 0x000f2b4b:
 2e c6 06 4a 2b 01 b8 5f 00 89 46 12 c3 b8 4c 02
 e8 9e 17 b9 00 00 74 04 b1 06 eb 02 b1 01 b8 5f
(II) stack at 0x00001fc4:
 9f 2a 15 f9 00 00 00 c0 80 00 a3 0a e4 0f dc 0f
 01 00 b4 03 02 00 31 5f 2b 41 00 c0 46 32 0c c2
 d6 c1 40 00 00 00 00 00 00 00 00 00 fa 0f 00 00
 00 00 00 00 10 00 00 00 00 06 00 00
(II) I810(0): Re-POSTing via int10.
(II) I810(0): xf86BindGARTMemory: bind key 7 at 0x003df000 (pgoffset 991)
(II) I810(0): xf86BindGARTMemory: bind key 0 at 0x07fff000 (pgoffset 32767)
(II) I810(0): xf86BindGARTMemory: bind key 1 at 0x07ffb000 (pgoffset 32763)
(II) I810(0): xf86BindGARTMemory: bind key 3 at 0x07fea000 (pgoffset 32746)
(II) I810(0): xf86BindGARTMemory: bind key 2 at 0x07ffa000 (pgoffset 32762)
(II) I810(0): xf86BindGARTMemory: bind key 4 at 0x07000000 (pgoffset 28672)
(II) I810(0): xf86BindGARTMemory: bind key 5 at 0x06800000 (pgoffset 26624)
(II) I810(0): xf86BindGARTMemory: bind key 6 at 0x067f8000 (pgoffset 26616)
(WW) I810(0): PGTBL_ER is 0xc046b018

   *** If unresolved symbols were reported above, they might not
   *** be the reason for the server aborting.

Fatal server error:
Caught signal 11.  Server aborting


Please consult the The X.Org Foundation support 
	 at http://wiki.X.Org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

(WW) I810(0): Successfully set original devices
(II) I810(0): xf86UnbindGARTMemory: unbind key 7
(II) I810(0): xf86UnbindGARTMemory: unbind key 0
(II) I810(0): xf86UnbindGARTMemory: unbind key 1
(II) I810(0): xf86UnbindGARTMemory: unbind key 3
(II) I810(0): xf86UnbindGARTMemory: unbind key 2
(II) I810(0): xf86UnbindGARTMemory: unbind key 4
(II) I810(0): xf86UnbindGARTMemory: unbind key 5
(II) I810(0): xf86UnbindGARTMemory: unbind key 6
(WW) I810(0): Successfully set original devices (2)


I'll attach complete logs and my xorg.conf

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-37.FC4.49.2

How reproducible:
Always

Steps to Reproduce:
1. Do s3 suspend
2. power on
3.
  

Actual Results:  X restarts with error

Expected Results:  X should resume to state before suspending

Additional info:
Comment 1 David 2005-10-23 11:44:21 EDT
Created attachment 120289 [details]
Xorg.0.log
Comment 2 David 2005-10-23 11:45:00 EDT
Created attachment 120290 [details]
Xorg.0.log.old
Comment 3 David 2005-10-23 11:45:56 EDT
Created attachment 120291 [details]
xorg.conf
Comment 4 David 2005-11-21 15:17:39 EST
Just to say that I installed

rpm -ivh --force vbetool-0.2-1.1.fc3.rf.i386.rpm

and using this on the suspend script:

BEFORE suspend
vbetool vbestate save > /tmp/vbestate

ON RESUME
vbetool post
vbetool vbestate restore < /tmp/vbestate

X doesn't restart anymore. I'll attach my suspend script because it can be
useful to other people.
Comment 5 David 2005-11-21 15:20:13 EST
Created attachment 121311 [details]
suspend script (strange name is sleep in Portuguese :P)

Using this script for suspend with vbetool, like specified in the comments, is
a workaround to this bug, change to your needs.
Comment 6 Mike A. Harris 2006-06-27 13:22:47 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.